TOUCH(1)

NAMN
touch — ändra filers tidsstämplar

SYNOPSIS
touch [FLAGGA]... FIL...

BESKRIVNING

Uppdatera åtkomst- och modifieringstiderna på varje fil till aktuell tid.

Ett FIL-argument som inte finns skapas tomt, om inte -c eller -h anges.

En - som FIL-argumentsträng hanteras speciellt och får touch att ändra tiden på filen som är kopplad till standard ut.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-a  Ändra bara åtkomsttiden.

-c, --no-create
    Skapa inga filer.

-d, --date=STRÄNG
    Tolka STRÄNG och använd det istället för aktuell tid.

-f  (ignorerad)

-h, --no-dereference
    Ändra varje symbolisk länk istället för det den pekar på (meningsfullt endast på system där det går att ändra tidsstämpel på en symbolisk länk).

-m  Ändra bara modifikationstiden.

-r, --reference=FIL
    Använd FILs tider istället för aktuell tid.

-t STÄMPEL
    Använd [[ÅÅ]ÅÅ]MMDDhhmm[.ss] istället för aktuell tid.

--time=ORD
    Ändra den angivna tiden: ORD är access, atime eller use: detsamma som -a; ORD är modify eller mtime: detsamma som -m.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Observera att flaggorna -d och -t tar olika tid-datumformat.

DATUMSTRÄNG
Strängen i --date=STRÄNG är en i mänskligt läsbar engelsk datumsträng i huvudsak i fritt format såsom ”Sun, 29 Feb 2004 16:21:42 +0100” eller ”2004-02-29 16:21:42” eller till och med ”next Thursday”. En datumsträng kan innehålla poster som indikerar kalenderdatum, tid på dagen, tidszon, dag i veckan, relativ tid, relativt datum och tal. En tom sträng indikerar början på dagen. Datumsträngformatet är mer komplext än som enkelt kan dokumenteras här men är helt beskrivet i info-dokumentationen.

UPPHOVSMAN
Skrivet av Paul Rubin, Arnold Robbins, Jim Kingdon, David MacKenzie och Randy Smith.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/touch>
eller tillgängligt lokalt via: info '(coreutils) touch invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.